Subject: Re: Job | Tech Support Remote Screening
From: Rahul Jha <[email-masked]>
To: [email-masked]
Date: Tue, 19 Jan 2021 09:07:26 +0530

Not able to view Details? Learn More

Job Title
Job | Tech Support Remote Screening

6322 Applicants

View All

Rahul Jha
I m a pgt chemistry teacher..I have been teaching for last 6 years..I m specialised teacher of physical and inorganic chemistry..I m also involved in academics team and in material management.. I was awarded as best teacher Of spark academy and Sandhya science classes..

Shortlist

Reject

Current Designation Pgt Chemistry Teacher
Current Company Sandhya Science Classes
Notice Period 15 Days or less
Previous Designation Not Mentioned
Previous Company Not Mentioned

Contact Details
Mobile:

Exp
6 Yrs

CTC

Location

Not Able to View Details? Learn More
Preferred Location: Surat, Delhi, Patna
Education
B.Tech/B.E.
aryabhat knowledge university
Key Skills
Teaching, Physical Chemistry, Inorganic Chemistry, Academics, Material Management, Educational Administration

Shortlist

Reject

You can call us at 1800 102 5558 and mail us at  [email-masked]

Report a problem